import request from '@/utils/request'

// 查询巡检计划信息列表
export function listDmsPlanInspect(query) {
  return request({
    url: '/dms/dmsPlanInspect/list',
    method: 'get',
    params: query
  })
}

// 查询巡检计划信息详细
export function getDmsPlanInspect(planInspectId) {
  return request({
    url: '/dms/dmsPlanInspect/' + planInspectId,
    method: 'get'
  })
}

// 新增巡检计划信息
export function addDmsPlanInspect(data) {
  return request({
    url: '/dms/dmsPlanInspect',
    method: 'post',
    data: data
  })
}

// 修改巡检计划信息
export function updateDmsPlanInspect(data) {
  return request({
    url: '/dms/dmsPlanInspect',
    method: 'put',
    data: data
  })
}

// 删除巡检计划信息
export function delDmsPlanInspect(planInspectId) {
  return request({
    url: '/dms/dmsPlanInspect/' + planInspectId,
    method: 'delete'
  })
}
